    // Carry over
    var erPoint;
    var erCurrent;

    // Decision making
    var erChoice;

    // Various image locations for easy changes
    var marShadow = "http://www.google.com/mapfiles/shadow50.png";
    var marActv   = "http://www.ethereal-realms.org/img/map_actv.png";
    var marPasv   = "http://www.ethereal-realms.org/img/map_pasv.png";

    // Create a base icon for all of our markers that specifies the
    // shadow, icon dimensions, etc.
    var baseIcon = new GIcon();
    baseIcon.shadow = marShadow;
    baseIcon.iconSize = new GSize(20, 34);
    baseIcon.shadowSize = new GSize(37, 34);
    baseIcon.iconAnchor = new GPoint(9, 34);
    baseIcon.infoWindowAnchor = new GPoint(9, 2);
    baseIcon.infoShadowAnchor = new GPoint(18, 25);

    // Set Icon
    var erActvIcon = new GIcon(baseIcon);
    var erPasvIcon = new GIcon(baseIcon);

    // Set images
    erActvIcon.image = marActv;
    erPasvIcon.image = marPasv;




    //
    // Ethereal Realms specific code
    function erControl() {
    }


    //
    // Control mechanism for mapping features
    erControl.prototype = new GControl();

    // Creates a one DIV for each of the buttons and places them in a container
    // DIV which is returned as our control element. We add the control to
    // to the map container and return the element for the map class to
    // position properly.
    erControl.prototype.initialize = function(map) {
      var container = document.createElement("div");

      // Clears all points
      var erClearDiv = document.createElement("div");
      this.setButtonStyle_(erClearDiv);
      container.appendChild(erClearDiv);
      erClearDiv.appendChild(document.createTextNode("Clear"));
      GEvent.addDomListener(erClearDiv, "click", function() {

        // Dirt sumple, just clear
        map.clearOverlays();

        // Reset values
        erCurrent = null;
        erPoint   = null;
      });

      // Adds in a new marker
      var erSetDiv = document.createElement("div");
      this.setButtonStyle_(erSetDiv);
      container.appendChild(erSetDiv);
      erSetDiv.appendChild(document.createTextNode("Set"));
      GEvent.addDomListener(erSetDiv, "click", function() {

        // Change current marker
        if (erCurrent != null) {
          // Have to remove first
          map.removeOverlay(erCurrent);

          // Re-create with changed colour
          map.addOverlay(new GMarker(erPoint, erPasvIcon));
        }


        // Fetch point
        erPoint = map.getCenter();

        // New current
        erCurrent = new GMarker(erPoint, erActvIcon);

        // Add overlay to make person comfortable
        map.addOverlay(erCurrent);
      });


      // Fetches the lat and long
      var erGetDiv = document.createElement("div");
      this.setButtonStyle_(erGetDiv);
      container.appendChild(erGetDiv);
      erGetDiv.appendChild(document.createTextNode("Select"));
      GEvent.addDomListener(erGetDiv, "click", function() {
        // A point must exist
        if (erPoint != null) {

          // Ask the user if the wants to go
          erChoice = window.confirm('Use the currently selected location as your home point?');

          // User has spoken
          if (erChoice)
          {

             // Set appropriate values
             document.LATLON.GEOLAT.value = erPoint.lat();
             document.LATLON.GEOLON.value = erPoint.lng();

             // Send along
             document.LATLON.submit();
          }
        }

        else {
          // Warn the user
          window.alert("You have no points set.  Please set a point and try again!");
        }
      });

      map.getContainer().appendChild(container);
      return container;
    }

    // By default, the control will appear in the top left corner of the
    // map with 7 pixels of padding.
    erControl.prototype.getDefaultPosition = function() {
      return new GControlPosition(G_ANCHOR_TOP_RIGHT, new GSize(7, 7));
    }

    // Sets the proper CSS for the given button element.
    erControl.prototype.setButtonStyle_ = function(button) {
      button.style.textDecoration = "none";
      button.style.color = "#000000";
      button.style.backgroundColor = "white";
      button.style.font = "small Arial";
      button.style.border = "1px solid black";
      button.style.padding = "2px";
      button.style.marginBottom = "3px";
      button.style.textAlign = "center";
      button.style.width = "6em";
      button.style.cursor = "pointer";
    }
